# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Class/DBI.pm) perl(Class/DBI/LazyInflate.pm) perl(Config.pm) perl(Cwd.pm) perl(DBD/Pg.pm) perl(DBD/mysql.pm) perl(DateTime.pm) perl(DateTime/Format/MySQL.pm) perl(DateTime/Format/Pg.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/Pluggable.pm) perl(Net/FTP.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Class-DBI-Plugin-DateTime
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Use DateTime Objects As Columns
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMAKI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Class::DBI::Plugin::DateTime is a convenience interface to Class::DBI::Plguin::DateTime::* objects. It auto-detects the connectin type being used, and loads
the appropriate plugin. Note that you need to set up the database connection
before loading this module into your Class::DBI based module.

If you don't want want to bother with this, you can simply use the appropriate
class directly (e.g. Class::DBI::Plugin::DateTime::Pg)


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/C*

%changelog
* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

